TestSSLUtils.CertificateBuilder (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.ssl

## Class TestSSLUtils.CertificateBuilder

- java.lang.Object
- - org.apache.geode.cache.ssl.TestSSLUtils.CertificateBuilder

- Enclosing class:
    TestSSLUtils

      public static class TestSSLUtils.CertificateBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateBuilder()`
    `CertificateBuilder(int days, java.lang.String algorithm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TestSSLUtils.CertificateBuilder` | `commonName(java.lang.String cn)`
    `java.security.cert.X509Certificate` | `generate(java.security.KeyPair keyPair)`
    `java.security.cert.X509Certificate` | `generate(java.lang.String dn, java.security.KeyPair keyPair)`
    `TestSSLUtils.CertificateBuilder` | `sanDnsName(java.lang.String hostName)`
    `TestSSLUtils.CertificateBuilder` | `sanIpAddress(java.net.InetAddress hostAddress)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateBuilder

          public CertificateBuilder()

    - #### CertificateBuilder

          public CertificateBuilder(int days,
                                    java.lang.String algorithm)

  - ### Method Detail

    - #### commonName

          public TestSSLUtils.CertificateBuilder commonName(java.lang.String cn)

    - #### sanDnsName

          public TestSSLUtils.CertificateBuilder sanDnsName(java.lang.String hostName)

    - #### sanIpAddress

          public TestSSLUtils.CertificateBuilder sanIpAddress(java.net.InetAddress hostAddress)

    - #### generate

          public java.security.cert.X509Certificate generate(java.security.KeyPair keyPair)
                                                      throws java.security.cert.CertificateException

      Throws:
        `java.security.cert.CertificateException`

    - #### generate

          public java.security.cert.X509Certificate generate(java.lang.String dn,
                                                             java.security.KeyPair keyPair)
                                                      throws java.security.cert.CertificateException

      Throws:
        `java.security.cert.CertificateException`